CURLOPT_SSLENGINE(3)

NAME
CURLOPT_SSLENGINE - set SSL engine identifier

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_SSLENGINE, char *id);

DESCRIPTION
Pass a pointer to a null-terminated string as parameter. It will be used as the identifier for the crypto engine you want to use for your private key. The application does not have to keep the string around after setting this option.

DEFAULT
NULL

PROTOCOLS
All TLS based protocols: HTTPS, FTPS, IMAPS, POP3S, SMTPS etc.

EXAMPLE
CURL *curl = curl_easy_init();
if(curl) {
  curl_easy_setopt(curl, CURLOPT_URL, "https://example.com/");
  curl_easy_setopt(curl, CURLOPT_SSLENGINE, "dynamic");
  ret = curl_easy_perform(curl);
  curl_easy_cleanup(curl);
}

AVAILABILITY
Only if the SSL backend is OpenSSL built with engine support.

RETURN VALUE
CURLE_OK - Engine found. CURLE_SSL_ENGINE_NOTFOUND - Engine not found, or OpenSSL was not built with engine support. CURLE_SSL_ENGINE_INITFAILED - Engine found but initialization failed. CURLE_NOT_BUILT_IN - Option not built in, OpenSSL is not the SSL backend. CURLE_UNKNOWN_OPTION - Option not recognized. CURLE_OUT_OF_MEMORY - Insufficient heap space.

SEE ALSO
CURLOPT_SSLENGINE_DEFAULT(3), CURLOPT_SSLKEY(3),